# Ice::Router

## Overview

### interface Router

The Ice router interface. Routers can be set either globally with Communicator::setDefaultRouter, or with `ice_router` on specific proxies.

#### Derived Classes and Interfaces

::Glacier2::Router

## Operation Index

getClientProxy
  Get the router's client proxy, i.e., the proxy to use for forwarding requests from the client to the router.
getServerProxy
  Get the router's server proxy, i.e., the proxy to use for forwarding requests from the server to the router.
addProxy
  Add new proxy information to the router's routing table.

  Deprecated.

addProxies
  Add new proxy information to the router's routing table.

## Operations

### Object* getClientProxy()

Get the router's client proxy, i.e., the proxy to use for forwarding requests from the client to the router.

#### Return Value

The router's client proxy.

### Object* getServerProxy()

Get the router's server proxy, i.e., the proxy to use for forwarding requests from the server to the router.

#### Return Value

The router's server proxy.

### void addProxy(Object* proxy)

Add new proxy information to the router's routing table.

This operation is deprecated, and only used for old Ice clients (older than version 3.1).

addProxy() is deprecated, use addProxies() instead.

#### Parameters

proxy
  The proxy to add.

### ObjectProxySeq addProxies(ObjectProxySeq proxies)

Add new proxy information to the router's routing table.

#### Parameters

proxies
  The proxies to add.

#### Return Value

Proxies discarded by the router.